import os
import zipfile

ignore_paths = [
    ".git",
    "__pycache__",
]

ignore_files = [
    "debug.log",
    ".pyc",
    ".gitattributes",
    ".gitignore",
    "main.py",
    ".zip",
]

def main():
    zipFile = zipfile.ZipFile('rebocap_blender_plugin_v2.zip', 'w')
    for dirpath, dirnames, filenames in os.walk('.'):
        end = False
        for ignore_path in ignore_paths:
            if ignore_path in dirpath:
                end = True
                break
        if end:
            continue
        for file in filenames:
            end = False
            for ignore_file in ignore_files:
                if ignore_file in file:
                    end = True
                    break
            if end:
                continue
            full_path = os.path.join(dirpath, file)
            save_name = full_path.replace("\\", "/").replace("./", "rebocap_blender_plugin/")
            zipFile.write(full_path, save_name, zipfile.ZIP_DEFLATED)


if __name__ == '__main__':
    main()

